LinuxQMISDK: qaGobiApiAudio.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Functions
qaGobiApiAudio.h File Reference
Audio Service (AUDIO)

Audio Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | GetAudioProfileReq
struct | GetAudioProfileResp
struct | SetAudioProfileReq
struct | GetAudioPathConfigReq
struct | TXPCMIIRFltr
struct | RXPCMIIRFltr
struct | RXAGCList
struct | RXAVCList
struct | TXAGCList
struct | GetAudioPathConfigResp
struct | SetAudioPathConfigReq
struct | GetAudioVolTLBConfigReq
struct | GetAudioVolTLBConfigResp
struct | SetAudioVolTLBConfigReq
struct | SetAudioVolTLBConfigResp

## Functions
ULONG | SLQSGetAudioProfile (GetAudioProfileReq *pGetAudioProfileReq, GetAudioProfileResp *pGetAudioProfileResp)
ULONG | SLQSSetAudioProfile (SetAudioProfileReq *pSetAudioProfileReq)
ULONG | SLQSGetAudioPathConfig (GetAudioPathConfigReq *pGetAudioPathConfigReq, GetAudioPathConfigResp *pGetAudioPathConfigResp)
ULONG | SLQSSetAudioPathConfig (SetAudioPathConfigReq *pSetAudioPathConfigReq)
ULONG | SLQSGetAudioVolTLBConfig (GetAudioVolTLBConfigReq *pGetAudioVolTLBCfgReq, GetAudioVolTLBConfigResp *pGetAudioVolTLBCfgResp)
ULONG | SLQSSetAudioVolTLBConfig (SetAudioVolTLBConfigReq *pSetAudioVolTLBCfgReq, SetAudioVolTLBConfigResp *pSetAudioVolTLBCfgResp)

## Detailed Description

Audio Service API function prototypes.

Copyright: © 2013 Sierra Wireless, Inc. all rights reserved

## Function Documentation

ULONG SLQSGetAudioPathConfig | ( | GetAudioPathConfigReq * | pGetAudioPathConfigReq,
|  | GetAudioPathConfigResp * | pGetAudioPathConfigResp
| ) |  |

This API gets the audio path configuration parameters.

Parameters

  pGetAudioPathConfigReq[IN] | See GetAudioPathConfigReq for more information
  pGetAudioPathConfigResp[OUT] | See GetAudioPathConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Device Supported: SL9090
  Timeout: 5 seconds

ULONG SLQSGetAudioProfile | ( | GetAudioProfileReq * | pGetAudioProfileReq,
|  | GetAudioProfileResp * | pGetAudioProfileResp
| ) |  |

This API get the profile content of the requested audio generator.

Parameters

  pGetAudioProfileReq[IN] | See GetAudioProfileReq for more information
  pGetAudioProfileResp[OUT] | See GetAudioProfileResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Device Supported: SL9090
  Timeout: 5 seconds

ULONG SLQSGetAudioVolTLBConfig | ( | GetAudioVolTLBConfigReq * | pGetAudioVolTLBCfgReq,
|  | GetAudioVolTLBConfigResp * | pGetAudioVolTLBCfgResp
| ) |  |

This API gets the audio path configuration parameters.

Parameters

  pGetAudioVolTLBCfgReq[IN] | See GetAudioVolTLBConfigReq for more information
  pGetAudioVolTLBCfgResp[OUT] | See GetAudioVolTLBConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Device Supported: SL9090
  Timeout: 5 seconds

ULONG SLQSSetAudioPathConfig | ( | SetAudioPathConfigReq * | pSetAudioPathConfigReq | ) |

This API sets the audio path configuration parameters.

Parameters

  pSetAudioPathConfigReq[IN] | See SetAudioPathConfigReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Device Supported: SL9090
  Timeout: 5 seconds

ULONG SLQSSetAudioProfile | ( | SetAudioProfileReq * | pSetAudioProfileReq | ) |

This API sets an audio profile.

Parameters

  pSetAudioProfileReq[IN] | See SetAudioProfileReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Device Supported: SL9090
  Timeout: 5 seconds

ULONG SLQSSetAudioVolTLBConfig | ( | SetAudioVolTLBConfigReq * | pSetAudioVolTLBCfgReq,
|  | SetAudioVolTLBConfigResp * | pSetAudioVolTLBCfgResp
| ) |  |

This API sets the audio path configuration parameters.

Parameters

  pSetAudioVolTLBCfgReq[IN] | See SetAudioVolTLBConfigReq for more information
  pSetAudioVolTLBCfgResp[OUT] | See SetAudioVolTLBConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Device Supported: SL9090
  Timeout: 5 seconds